dbXML API

## org.dbxml.xml.dom
Class EntityImpl

    java.lang.Object
      |
      +--org.dbxml.xml.dom.NodeImpl
            |
            +--org.dbxml.xml.dom.EntityImpl

All Implemented Interfaces:
  CompressedNode, DBNode, org.w3c.dom.Entity, org.w3c.dom.Node

public final class EntityImpl
extends NodeImpl
implements org.w3c.dom.Entity

EntityImpl

Fields inherited from class org.dbxml.xml.dom.NodeImpl
`EX_DOMSTRING_SIZE, EX_HIERARCHY_REQUEST, EX_INDEX_SIZE, EX_INUSE_ATTRIBUTE, EX_INVALID_STATE, EX_NO_DATA_ALLOWED, EX_NO_MODIFICATION_ALLOWED, EX_NOT_FOUND, EX_WRONG_DOCUMENT, OBJECT_HREF, OBJECT_NS, OBJECT_TYPE, TYPE_APPEND, TYPE_CONTENT, TYPE_INSERT, TYPE_REPLACE, XMLNS_PREFIX`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`EntityImpl()`
`EntityImpl(NodeImpl parentNode, boolean dirty)`
`EntityImpl(NodeImpl parentNode, byte[] data, int pos, int len)`

Method Summary
`java.lang.String` `getEncoding()`
`short` `getNodeType()` A code representing the type of the underlying object, as defined above.
`java.lang.String` `getNotationName()` For unparsed entities, the name of the notation for the entity.
`java.lang.String` `getPublicId()` The public identifier associated with the entity, if specified.
`java.lang.String` `getSystemId()` The system identifier associated with the entity, if specified.
`java.lang.String` `getVersion()`
`void` `setEncoding(java.lang.String encoding)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class org.dbxml.xml.dom.NodeImpl

`appendChild, checkReadOnly, cloneNode, expandSource, getAttributes, getChildNodes, getDataBytes, getDataLen, getDataPos, getFirstChild, getKey, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSource, getSymbolID, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefined, isDirty, isLoaded, isSameNode, isSupported, load, lookupDefaultNamespaceURI, lookupNamespacePrefix, lookupNamespaceURI, normalize, normalizeNS, removeChild, replaceChild, setDataBytes, setDataBytes, setDataLen, setDataPos, setDirty, setNodeName, setNodeValue, setParentNode, setPrefix, setSource, setUserData, unload`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### EntityImpl

    public EntityImpl()

### EntityImpl

    public EntityImpl(NodeImpl parentNode,
                      byte[] data,
                      int pos,
                      int len)

### EntityImpl

    public EntityImpl(NodeImpl parentNode,
                      boolean dirty)

Method Detail

### getNodeType

    public short getNodeType()

  Description copied from class: `NodeImpl`
  A code representing the type of the underlying object, as defined above.
  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### getPublicId

    public java.lang.String getPublicId()

  The public identifier associated with the entity, if specified. If the public identifier was not specified, this is `null`.
  Specified by:
    `getPublicId` in interface `org.w3c.dom.Entity`

### getSystemId

    public java.lang.String getSystemId()

  The system identifier associated with the entity, if specified. If the system identifier was not specified, this is `null`.
  Specified by:
    `getSystemId` in interface `org.w3c.dom.Entity`

### getNotationName

    public java.lang.String getNotationName()

  For unparsed entities, the name of the notation for the entity. For parsed entities, this is `null`.
  Specified by:
    `getNotationName` in interface `org.w3c.dom.Entity`

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved